// TimerUserView.h : interface of the CTimerUserView class
//
/////////////////////////////////////////////////////////////////////////////

class CTimerUserView : public CView
{
protected: // create from serialization only
	CTimerUserView();
	DECLARE_DYNCREATE(CTimerUserView)

	CTimer *m_pTimer ;

// Attributes
public:
	CTimerUserDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTimerUserView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CTimerUserView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CTimerUserView)
	afx_msg void OnFileTimerdialogbox();
	afx_msg void OnControltestAddtoview();
	afx_msg void OnUpdateControltestAddtoview(CCmdUI* pCmdUI);
	afx_msg void OnControltestRemovefromview();
	afx_msg void OnUpdateControltestRemovefromview(CCmdUI* pCmdUI);
	afx_msg void OnControltestMovesize();
	afx_msg void OnUpdateControltestMovesize(CCmdUI* pCmdUI);
	afx_msg void OnControltestWait5seconds();
	afx_msg void OnUpdateControltestWait5seconds(CCmdUI* pCmdUI);
	afx_msg void OnControltestShowsecondsproperty();
	afx_msg void OnUpdateControltestShowsecondsproperty(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	afx_msg void OnAlarmExpiredTimerctrl1(long TicksNow) ;
	DECLARE_EVENTSINK_MAP()

};

#ifndef _DEBUG  // debug version in TimerUserView.cpp
inline CTimerUserDoc* CTimerUserView::GetDocument()
   { return (CTimerUserDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
